Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetPollVoters

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Users>
it.tdlight.jni.TdApi.GetPollVoters

Enclosing class:
  TdApi

public static final class TdApi.GetPollVoters extends TdApi.Function<TdApi.Users>
Returns users voted for the specified option in a non-anonymous polls. For optimal performance, the number of returned users is chosen by TDLib.

Returns `Users`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which the poll belongs.
`static final int`
`CONSTRUCTOR`
`int`
`limit`
The maximum number of users to be returned; must be positive and can't be greater than 50.
`long`
`messageId`
Identifier of the message containing the poll.
`int`
`offset`
Number of users to skip in the result; must be non-negative.
`int`
`optionId`
0-based identifier of the answer option.

## Constructor Summary

Constructors
Constructor
Description
`GetPollVoters()`
Returns users voted for the specified option in a non-anonymous polls.
`GetPollVoters(long chatId, long messageId, int optionId, int offset, int limit)`
Returns users voted for the specified option in a non-anonymous polls.
`GetPollVoters(DataInput input)`
Returns users voted for the specified option in a non-anonymous polls.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the poll belongs.

### messageId

public long messageId
Identifier of the message containing the poll.

### optionId

public int optionId
0-based identifier of the answer option.

### offset

public int offset
Number of users to skip in the result; must be non-negative.

### limit

public int limit
The maximum number of users to be returned; must be positive and can't be greater than 50. For optimal performance, the number of returned users is chosen by TDLib and can be smaller than the specified limit, even if the end of the voter list has not been reached.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetPollVoters

public GetPollVoters()
Returns users voted for the specified option in a non-anonymous polls. For optimal performance, the number of returned users is chosen by TDLib.

Returns `Users`

### GetPollVoters

public GetPollVoters(long chatId, long messageId, int optionId, int offset, int limit)
Returns users voted for the specified option in a non-anonymous polls. For optimal performance, the number of returned users is chosen by TDLib.

Returns `Users`

Parameters:
  `chatId` - long Identifier of the chat to which the poll belongs.
  `messageId` - long Identifier of the message containing the poll.
  `optionId` - int 0-based identifier of the answer option.
  `offset` - int Number of users to skip in the result; must be non-negative.
  `limit` - int The maximum number of users to be returned; must be positive and can't be greater than 50. For optimal performance, the number of returned users is chosen by TDLib and can be smaller than the specified limit, even if the end of the voter list has not been reached.

### GetPollVoters

public GetPollVoters(DataInput input) throws IOException
Returns users voted for the specified option in a non-anonymous polls. For optimal performance, the number of returned users is chosen by TDLib.

Returns `Users`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`